Subject: bug#32226: shadowfile test failures

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jul 2018 15:25:49 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 21 Jul 2018 14:13:55 +0200
> 
> > Now all of the tests are skipped, is this expected?
> 
> Yes, it is for MS Windows. See the definition of
> shadow-test-remote-temporary-file-directory.
> 
> If you know a temporary directory located on a remote host, you could
> run
> 
> # env REMOTE_TEMPORARY_FILE_DIRECTORY=/plink:host:/tmp make -C test shadowfile-tests
> 
> See the explanation of $REMOTE_TEMPORARY_FILE_DIRECTORY in the
> Commentary section of tramp-tests.el. Hmm, maybe I should add a similar
> Commentary section to shadowfile-tests.el

Hmm, I'm not sure I follow.  For the test purposes, you are actually
shadowing the files to the current system, right?  If so, the location
of the temporary directory is known, right?

Or am I missing something?